Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class ForUpdateFragment

    java.lang.Object
      org.hibernate.sql.ForUpdateFragment

    public class ForUpdateFragment

extends Object

Constructor Summary
`ForUpdateFragment(Dialect dialect)`
`ForUpdateFragment(Dialect dialect, LockOptions lockOptions, Map keyColumnNames)`

Method Summary
`ForUpdateFragment` | `addTableAlias(String alias)`
`ForUpdateFragment` | `setNowaitEnabled(boolean nowait)`
`String` | `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForUpdateFragment

    public ForUpdateFragment(Dialect dialect)

### ForUpdateFragment

    public ForUpdateFragment(Dialect dialect,
                             LockOptions lockOptions,
                             Map keyColumnNames)
                      throws QueryException

Throws:
  `QueryException`

Method Detail

### addTableAlias

    public ForUpdateFragment addTableAlias(String alias)

### toFragmentString

    public String toFragmentString()

### setNowaitEnabled

    public ForUpdateFragment setNowaitEnabled(boolean nowait)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.